=== debian/changelog ===
auto-multiple-choice (1.4.0-4ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 12 Apr 2020 21:31:45 -0400

auto-multiple-choice (1.4.0-4) unstable; urgency=medium

  * Apply bugfix from upstream bug#713
  * Bump standards version to 4.5.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Apr 2020 18:59:52 +0200

auto-multiple-choice (1.4.0-3ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 05 Apr 2020 18:42:06 -0400

auto-multiple-choice (1.4.0-3) unstable; urgency=medium

  * Needs liblocale-codes-perl>=3.42. Closes: #948513.
  * Fix type of return value of getopt. Closes: #933485.
  * Fix FTBFS while compiling doc. Closes: #952301.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 06 Mar 2020 22:54:06 +0100

auto-multiple-choice (1.4.0-2ubuntu3) focal; urgency=medium

  * No-change rebuild for opencv soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 02 Feb 2020 07:30:38 +0000

auto-multiple-choice (1.4.0-2ubuntu2) focal; urgency=medium

  * No-change rebuild against libopencv-imgcodecs4.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 23 Nov 2019 20:42:44 +0000

auto-multiple-choice (1.4.0-2ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - depends on adwaita-icon-theme-full since some of the icons are
      not available in the default theme

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2019 08:59:06 +0200

auto-multiple-choice (1.4.0-2) unstable; urgency=medium

  * Updates OpenCV build includes for use with OpenCV4. Closes: #922567.
  * Drops unused and deprecated latex-generic-recommended dependency.
    Closes: #932185.
  * Bump standards version to 4.4.0: no change needed.
  * Bump debhelper compat version to 12: no change needed.
  * Don't register sample PDF subjects and LaTeX package description
    as documentation files.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 18 Aug 2019 20:48:56 +0200

auto-multiple-choice (1.4.0-1ubuntu4) disco; urgency=medium

  * Revert to 1.4.0-1ubuntu1 packaging since it looks like the
    easiest working option for now.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 05 Feb 2019 13:05:54 -0500

auto-multiple-choice (1.4.0-1ubuntu3) disco; urgency=medium

  * debian/tests/control: depend on humanity-icon-theme.
    Maybe yaru-theme-icon should depend on humanity-icon-theme instead.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Jan 2019 05:22:27 -0500

auto-multiple-choice (1.4.0-1ubuntu2) disco; urgency=medium

  * debian/tests/control: depend on adwaita-icon-theme
    instead of adwaita-icon-theme-full for easier forwarding to Debian

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 27 Jan 2019 18:21:39 -0500

auto-multiple-choice (1.4.0-1ubuntu1) disco; urgency=medium

  * debian/tests/control:
    - depends on adwaita-icon-theme-full since some of the icons are
      not available in the default theme

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 24 Jan 2019 16:02:39 +0100

auto-multiple-choice (1.4.0-1) unstable; urgency=medium

  * New upstream version 1.4.0
  * Bump standards version to 4.3.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sat, 29 Dec 2018 22:19:27 +0100
