=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: auto-multiple-choice
 Section: education
 Priority: optional
-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 11), gettext, libnetpbm10-dev,
+Build-Depends: debhelper (>= 12), gettext, libnetpbm10-dev,
  libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
  docbook-xsl, librsvg2-bin, netpbm, texlive-pictures,
  pkg-config, libopencv-dev (>=2.1),
  libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
  texlive-latex-recommended, texlive-xetex, lmodern,
  texlive-lang-french, texlive-lang-japanese, tex-common
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git
@@ -37,9 +38,9 @@
  liblocale-gettext-perl, libxml-simple-perl, libxml-writer-perl,
  libgtk3-perl, libio-compress-perl|libcompress-zlib-perl,
  libgraphics-magick-perl, libdbd-sqlite3-perl, libdbi-perl,
- liblocale-codes-perl,
+ liblocale-codes-perl (>= 3.42),
  libfile-mimeinfo-perl, libtext-csv-perl, texlive-latex-base,
- texlive-latex-recommended, texlive-generic-recommended, texlive-latex-extra,
+ texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-fonts-extra,
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript,
