=== debian/tests/control ===
Tests: simple
Depends: @, libipc-run-perl

Tests: gui
Depends: @, xvfb, at-spi2-core, adwaita-icon-theme-full
