=== debian/changelog ===
auto-multiple-choice (1.5.0~rc1-1) unstable; urgency=medium

  * New upstream version 1.5.0~rc1. Closes: #908583
  * Removes patches that has been applied upstream.
  * Gtksourceview directory update
  * Adds /usr/share/metainfo dir to include new appstream file
  * Bump standards version to 4.5.1: no change needed.
  * Fix app icons dir
  * Adjust copyright for the metainfo file.
  * Move to debhelper compat level 13.
  * Fix gui autopkgtest test.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 22 Jan 2021 17:04:37 +0100

auto-multiple-choice (1.4.0-5) unstable; urgency=medium

  * added texlive-lang-chines to build dependencies.
    Closes: #963423

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 22 Jun 2020 19:34:42 +0200
