## auto-multiple-choice 1.5.0~rc2

=== Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 SUBMODS=$(notdir $(shell ls doc/modeles))
 GLADE_IN=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
 DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)
+PYCACHE=tests/gui/dogtail/__pycache__
 
 # list *.in files for @/VAR/@ substitution
 
@@ -135,7 +136,7 @@
 	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_PDF) $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
 
 AMC-pdfformfields: pdfformfields.c Makefile
-	$(GCC_PP) -o $@ $< $(CPPFLAGS) $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_POPPLER)
+	$(GCC) -o $@ $< $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -lm $(GCC_POPPLER)
 
 rebuild: FORCE
 	$(MAKE) $(BINARIES) -W Makefile
@@ -184,13 +185,14 @@
 	pngtopnm $< | ppmtoxpm > $@
 
 $(MAIN_LOGO).svgz: $(MAIN_LOGO).svg
-	gzip -k -S z $<
+	gzip $(GZIP_REPRODUCIBLE_ARGS) -k -S z $<
 	$(foreach SIZE, $(APPICONSIZES), rsvg-convert -a -w $(SIZE) -h $(SIZE) $< -o $(MAIN_LOGO)-$(SIZE).png ;)
 
 # CLEAN
 
 clean_IN: FORCE
 	rm -rf debian/auto-multiple-choice
+	rm -rf $(PYCACHE)
 	rm -f local/deb-auto-changelog
 	rm -f $(FROM_IN)
 
@@ -323,4 +325,3 @@
 LOCALDIR=$(shell pwd)
 
 global: FORCE
-	$(MAKE) -C I18N global LOCALEDIR=$(LOCALEDIR) LOCALDIR=$(LOCALDIR)
