=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2008-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2008-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -59,6 +59,8 @@
 
 %.tex: %.xml amcdocstyle.sty
 	dblatex -P latex.encoding=utf8 -b xetex -t tex -p custom.xsl --texstyle=amcdocstyle --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@
+# dblatex bug workaround (python3 writes b'<:' instead of <:)
+	perl -pi -e "s,b'<:',<:,g ; s,b':>',:>,g " $@
 
 XELATEX=xelatex -halt-on-error -interaction=nonstopmode
