=== debian/changelog ===
auto-multiple-choice (1.5.0~rc2-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Tue, 02 Mar 2021 22:06:55 -0500

auto-multiple-choice (1.5.0~rc2-2) unstable; urgency=medium

  * Include upstream patch that fixes exported columns choice

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 02 Mar 2021 11:25:56 +0100

auto-multiple-choice (1.5.0~rc2-1ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:09:59 +0000

auto-multiple-choice (1.5.0~rc2-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Feb 2021 17:07:28 -0500

auto-multiple-choice (1.5.0~rc2-1) unstable; urgency=medium

  * New upstream version 1.5.0~rc2
  * Update manpages names.
  * Move some latex doc to /usr/share/doc/auto-multiple-choice.
  * Tag conf-file patch as forwarded: not-needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Sat, 13 Feb 2021 14:39:51 +0100

auto-multiple-choice (1.5.0~rc1-2) unstable; urgency=medium

  * added the file debian/salsa-ci.yml

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 09 Feb 2021 20:13:05 +0100

auto-multiple-choice (1.5.0~rc1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 23 Jan 2021 14:09:57 -0500

auto-multiple-choice (1.4.0-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for opencv soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Dec 2020 17:08:20 +0100

auto-multiple-choice (1.4.0-5ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Mon, 06 Jul 2020 20:54:28 -0400
