=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexis Bienvenüe <pado@passoire.fr>
 Uploaders: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper (>= 12), gettext, libnetpbm10-dev,
+Build-Depends: debhelper-compat (= 13), gettext, libnetpbm10-dev,
  libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
  docbook-xsl, librsvg2-bin, netpbm, texlive-pictures,
  pkg-config, libopencv-dev (>=2.1),
  libpoppler-glib-dev, libcairo2-dev, libpango1.0-dev,
  texlive-latex-recommended, texlive-xetex, lmodern,
- texlive-lang-french, texlive-lang-japanese, tex-common
-Standards-Version: 4.5.0
+ texlive-lang-french, texlive-lang-japanese, texlive-lang-chinese,
+ tex-common
+Standards-Version: 4.5.1
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git
