## auto-multiple-choice 1.5.2

=== I18N/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2010-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2010-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -27,9 +27,10 @@
 
 AMC=..
 
-PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm $(AMC)/AMC-perl/AMC/**/**/*.pm 
+PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm $(AMC)/AMC-perl/AMC/**/**/*.pm
+PERLIN=$(AMC)/*.pl.in $(AMC)/AMC-perl/AMC/*.pm.in $(AMC)/AMC-perl/AMC/**/*.pm.in
 
-GLADE=$(AMC)/AMC-*.glade $(AMC)/AMC-perl/AMC/**/*.glade
+GLADE=$(AMC)/AMC-perl/AMC/**/*.glade
 
 POS=$(wildcard lang/*.po)
 MOS=$(POS:.po=.mo)
@@ -55,7 +56,8 @@
 %.pot: %.bpot po-clean.pl
 	$(PERLPATH) po-clean.pl $< $@
 
-$(DOMAIN).bpot: $(PERL) $(GLADE)
+$(DOMAIN).bpot: $(PERL) $(PERLIN) $(GLADE)
+	$(MAKE) -C .. MAJ
 	xgettext $(XGETTO) --from-code=UTF-8 --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
 	xgettext $(XGETTO) -j $(GLADE) -L Glade -o $@
