=== tests/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2012-2017 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2012-2021 Alexis Bienvenüe <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -29,7 +29,8 @@
 all: $(EPS)
 
 %.eps: %.svg
-	inkscape --export-eps $@ $<
+# old-style or new-style arguments 
+	inkscape --export-eps=$@ $< || inkscape --export-type=eps -o $@ $<
 
 clean:
 	-rm $(EPS)
@@ -45,6 +46,10 @@
 	./all_tests --blind
 	@echo "Using pdftk"
 	./selected_tests --blind --extract-with pdftk
+ifneq (,$(wildcard /usr/local/bin/sejda-console))
+	@echo "Using sejda-console"
+	./selected_tests --blind --extract-with sejda-console
+endif
 
 FORCE: ;
