=== debian/changelog ===
auto-multiple-choice (1.5.2-1willsync1) jammy; urgency=medium

  * d/t/control: Drop depend on adwaita-icon-theme-full since its provides
    gnome-icon-theme-symbolic which is a dependency.

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Jan 2022 17:25:05 -0800

auto-multiple-choice (1.5.2-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 08:32:57 -0800

auto-multiple-choice (1.5.2-1) unstable; urgency=medium

  * new usptream version

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 Dec 2021 19:08:08 +0100

auto-multiple-choice (1.5.1-2ubuntu2) jammy; urgency=medium

  * No-change rebuild against libopencv-core4.5d

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 00:47:18 +0000

auto-multiple-choice (1.5.1-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/t/control: Depend on adwaita-icon-theme-full since some of the icons
      are not available in the default theme.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 20 Nov 2021 18:58:01 -0500

auto-multiple-choice (1.5.1-2) unstable; urgency=medium

  * Fix the conf file, that had lost the reproducible tar options

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 14 Oct 2021 20:54:18 +0200

auto-multiple-choice (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1
  * Adds dependency to gnome-icon-theme-symbolic
  * Moves sub-executables to /usr/libexec
  * Adds the upstream/metadata file
  * Don't require root for build

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 14 Oct 2021 08:40:22 +0200

auto-multiple-choice (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Remove patch, applied upstream
  * Bump standards version to 4.6.0: no change needed.

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Sep 2021 13:55:24 +0200
