=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
  texlive-latex-recommended, texlive-xetex, lmodern,
  texlive-lang-french, texlive-lang-japanese, texlive-lang-chinese,
  tex-common
-Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Standards-Version: 4.6.0
 Homepage: http://www.auto-multiple-choice.net/
 Vcs-Browser: https://salsa.debian.org/georgesk/auto-multiple-choice
 Vcs-Git: https://salsa.debian.org/georgesk/auto-multiple-choice.git
@@ -46,7 +47,8 @@
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript,
  poppler-utils, libarchive-zip-perl, librsvg2-common, unzip,
- libglib-object-introspection-perl, libclone-perl
+ libglib-object-introspection-perl, libclone-perl,
+ gnome-icon-theme-symbolic
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60),
  libopenoffice-oodoc-perl,
  libemail-address-perl, libemail-mime-perl, libemail-sender-perl,
